#ifndef ANALYSISOPERATIONRECORDER_H
#define ANALYSISOPERATIONRECORDER_H

namespace AnalysisOperationRecorder {
const QString NumericalLabelStr("NumericalLabel");
const QString StartPointStr("StartPoint");
const QString StopPointStr("StopPoint");
const QString PeakSynthesisAnalysisStr("PeakSynthesisAnalysis");
const QString GlassTransitionStr("GlassTransition");
const QString OnsetTemperaturePointStr("OnsetTemperaturePoint");
const QString EndsetTemperaturePointStr("EndsetTemperaturePoint");
const QString OITStr("OIT");

enum AnalysisMode{
    Null,
    NumericalLabel,
    StartPoint,
    StopPoint,
    PeakSynthesisAnalysis,
    GlassTransition,
    OnsetTemperaturePoint,
    EndsetTemperaturePoint,
    OIT
};

struct AnalysisOperation{
    QString filePath;
    AnalysisMode mode;
    double x1,x2;
};

// The analysis operationes by user operating.
extern QVector<AnalysisOperation> _analysisOperationVtr;
// The analysis operationes from xlsx file.
//extern QVector<AnalysisOperation> _fileAnanlysisOperationVtr;

//void addAnalysisOperation(const AnalysisOperation);
void removeTheLastAnalysisOperation();

void removeAnalysisOperationByObjectName(const QString objectName);
}



#endif // ANALYSISOPERATIONRECORDER_H
